from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    PROJECT_NAME: str = "QuickSimpleApp"
    PROJECT_DESCRIPTION: str = "A quick and simple FastAPI application"
    VERSION: str = "0.1.0"
    API_V1_STR: str = "/api/v1"
    
    class Config:
        env_file = ".env"
        case_sensitive = True


settings = Settings()